"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransactionBase = exports.BalanceDecreasingSummaryStatus = exports.PaymentSummaryStatus = exports.PaymentNonexistenceSummaryStatus = void 0;
var PaymentNonexistenceSummaryStatus;
(function (PaymentNonexistenceSummaryStatus) {
    PaymentNonexistenceSummaryStatus["Success"] = "success";
    PaymentNonexistenceSummaryStatus["Coinbase"] = "coinbase";
    PaymentNonexistenceSummaryStatus["NotNativePayment"] = "notNativePayment";
    PaymentNonexistenceSummaryStatus["UnexpectedNumberOfParticipants"] = "unexpectedNumberOfParticipants";
    PaymentNonexistenceSummaryStatus["InvalidInUtxo"] = "invalidInUtxo";
    PaymentNonexistenceSummaryStatus["NoSpentAmountAddress"] = "noSpentAmountAddress";
    PaymentNonexistenceSummaryStatus["NoIntendedSpentAmountAddress"] = "noIntendedSpentAmountAddress";
    PaymentNonexistenceSummaryStatus["InvalidPkscript"] = "invalidPkscript";
})(PaymentNonexistenceSummaryStatus = exports.PaymentNonexistenceSummaryStatus || (exports.PaymentNonexistenceSummaryStatus = {}));
var PaymentSummaryStatus;
(function (PaymentSummaryStatus) {
    PaymentSummaryStatus["Success"] = "success";
    PaymentSummaryStatus["Coinbase"] = "coinbase";
    PaymentSummaryStatus["NotNativePayment"] = "notNativePayment";
    PaymentSummaryStatus["UnexpectedNumberOfParticipants"] = "unexpectedNumberOfParticipants";
    PaymentSummaryStatus["InvalidInUtxo"] = "invalidInUtxo";
    PaymentSummaryStatus["NoSpentAmountAddress"] = "noSpentAmountAddress";
    PaymentSummaryStatus["NoIntendedSpentAmountAddress"] = "noIntendedSpentAmountAddress";
    PaymentSummaryStatus["InvalidPkscript"] = "invalidPkscript";
    PaymentSummaryStatus["InvalidOutUtxo"] = "invalidOutUtxo";
    PaymentSummaryStatus["NoReceiveAmountAddress"] = "noReceiveAmountAddress";
    PaymentSummaryStatus["NoIntendedReceiveAmountAddress"] = "noIntendedReceiveAmountAddress";
})(PaymentSummaryStatus = exports.PaymentSummaryStatus || (exports.PaymentSummaryStatus = {}));
var BalanceDecreasingSummaryStatus;
(function (BalanceDecreasingSummaryStatus) {
    BalanceDecreasingSummaryStatus["Success"] = "success";
    BalanceDecreasingSummaryStatus["InvalidInUtxo"] = "invalidInUtxo";
    BalanceDecreasingSummaryStatus["NoSourceAddress"] = "noSourceAddress";
    BalanceDecreasingSummaryStatus["NotValidSourceAddressFormat"] = "notValidSourceAddressFormat";
})(BalanceDecreasingSummaryStatus = exports.BalanceDecreasingSummaryStatus || (exports.BalanceDecreasingSummaryStatus = {}));
class TransactionBase {
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    constructor(data, additionalData) {
        this.privateData = data;
        this.privateAdditionalData = additionalData;
    }
    /**
     * Exposing the private data for the derived classes (dev only/python like privatization)
     */
    get _data() {
        return this.privateData;
    }
    /**
     * Exposing the private data for the derived classes (dev only/python like privatization)
     */
    get _additionalData() {
        return this.privateAdditionalData;
    }
}
exports.TransactionBase = TransactionBase;
//# sourceMappingURL=TransactionBase.js.map