"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DogeTransaction = void 0;
const constants_1 = require("../../utils/constants");
const DogeAddress_1 = require("../addressObjects/DogeAddress");
const UtxoTransaction_1 = require("./UtxoTransaction");
class DogeTransaction extends UtxoTransaction_1.UtxoTransaction {
    isValidPkscript(index) {
        const vout = this.extractVoutAt(index);
        if (!vout.scriptPubKey.address)
            return true; //OP_RETURN
        const address = new DogeAddress_1.DogeAddress(vout.scriptPubKey.address);
        return address.addressToPkscript() == vout.scriptPubKey.hex;
    }
    get currencyName() {
        return constants_1.DOGE_NATIVE_TOKEN_NAME;
    }
}
exports.DogeTransaction = DogeTransaction;
//# sourceMappingURL=DogeTransaction.js.map