/// <reference types="node" />
import { IAlgoCert, IAlgoHexAddress, IAlgoIndexerCert } from "../types/algoTypes";
export declare const INVALIDADDRESERROR: (address: string) => Error;
export declare const INVALIDPUBKEYPAIRERROR: (algoKeyPair: IAlgoHexAddress) => Error;
export declare function bytesToHex(bytes: Buffer | Uint8Array | any): string;
/**
 * Algos base32 to hex string
 * @param data
 * @returns
 */
export declare function base32ToHex(data: string): string;
export declare function hexToBase32(hex: string | Uint8Array): string;
/**
 * For note decoding
 * @param rawdata
 * @returns
 */
export declare function base64ToHex(rawdata: string): string;
export declare function hexToBase64(hex: string | Uint8Array): string;
/**
 *
 * @dev used for transaction note parsing
 * @param rawdata
 * @returns
 */
export declare function base64ToText(rawdata: string): string;
export declare function addressToHex(address: string): IAlgoHexAddress;
export declare function hexToAddress(algoKeyPair: IAlgoHexAddress): string;
/**
 * buffer address to buffer address with checksum
 */
export declare function bufAddToCBufAdd(address: Buffer): Buffer;
export declare function txIdToHex(txid: string): string;
export declare function txIdToHexNo0x(txid: string): string;
export declare function certToInCert(cert: IAlgoCert): IAlgoIndexerCert;
export declare function algo_ensure_data(data: any): void;
export declare function algo_check_expect_block_out_of_range(data: any): boolean;
export declare function algo_check_expect_empty(data: any): boolean;
export declare function mpEncode(obj: Record<string | number | symbol, any>): Uint8Array;
export declare function mpDecode(buffer: ArrayLike<number>): unknown;
export declare function calculateAlgoTxid(gh: Buffer, gen: string, stib: any): string;
export declare function hasher(data: Uint8Array): Uint8Array;
export declare function concatArrays(...arrs: ArrayLike<number>[]): Uint8Array;
//# sourceMappingURL=algoUtils.d.ts.map